Skip to main content
PATCH
/
assets
/
{uuid}
Update an asset
curl --request PATCH \
  --url https://api.journeybee.io/v1/assets/{uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_name": "<string>",
  "description": "<string>"
}
'
{
  "uuid": "<string>",
  "file_name": "<string>",
  "file_url": "<string>",
  "mime_type": "<string>",
  "size": 123,
  "width": 123,
  "height": 123,
  "resource_type": "<string>",
  "description": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
file_name
string
Maximum string length: 500
description
string
Maximum string length: 2000

Response

200 - application/json

Default Response

uuid
string
required
file_name
string | null
required
file_url
string | null
required
mime_type
string | null
required
size
number | null
required
width
number | null
required
height
number | null
required
category
enum<string>
required

Asset category

Available options:
resource,
room
resource_type
string | null
required
description
string | null
required
created_at
string
required
updated_at
string
required